summaryrefslogtreecommitdiffstats
path: root/system/bcache-tools
diff options
context:
space:
mode:
Diffstat (limited to 'system/bcache-tools')
-rw-r--r--system/bcache-tools/README27
-rw-r--r--system/bcache-tools/bcache-tools.SlackBuild90
-rw-r--r--system/bcache-tools/bcache-tools.info8
3 files changed, 84 insertions, 41 deletions
diff --git a/system/bcache-tools/README b/system/bcache-tools/README
index 7db39a5263..251f258a39 100644
--- a/system/bcache-tools/README
+++ b/system/bcache-tools/README
@@ -1,20 +1,21 @@
These are the userspace tools required for bcache.
-Bcache is a patch for the Linux kernel to use SSDs to cache other block
-devices. For more information, see http://bcache.evilpiepirate.org.
-Documentation for the run time interface is included in the kernel tree, in
-Documentation/bcache.txt.
+Bcache is a patch for the Linux kernel to use SSDs
+to cache other block devices. For more information, see
+http://bcache.evilpiepirate.org. Documentation for the run time
+interface is included in the kernel tree, in Documentation/bcache.txt.
Included:
make-bcache
-Formats a block device for use with bcache. A device can be formatted for use
-as a cache or as a backing device (requires yet to be implemented kernel
-support). The most important option is for specifying the bucket size.
-Allocation is done in terms of buckets, and cache hits are counted per bucket;
-thus a smaller bucket size will give better cache utilization, but poorer write
-performance. The bucket size is intended to be equal to the size of your SSD's
-erase blocks, which seems to be 128k-512k for most SSDs; feel free to
+Formats a block device for use with bcache. A device can be
+formatted for use as a cache or as a backing device (requires yet
+to be implemented kernel support). The most important option is for
+specifying the bucket size. Allocation is done in terms of buckets,
+and cache hits are counted per bucket; thus a smaller bucket size
+will give better cache utilization, but poorer write performance. The
+bucket size is intended to be equal to the size of your SSD's erase
+blocks, which seems to be 128k-512k for most SSDs; feel free to
experiment.
bcache-super-show
@@ -22,9 +23,9 @@ Prints the bcache superblock of a cache device or a backing device.
Udev rules
The first half of the rules do auto-assembly and add uuid symlinks
-to cache and backing devices. If util-linux's libblkid is
+to cache and backing devices. If util-linux's libblkid is
sufficiently recent (2.24) the rules will take advantage of
-the fact that bcache has already been detected. Otherwise
+the fact that bcache has already been detected. Otherwise
they call a small probe-bcache program that imitates blkid.
The second half of the rules add symlinks to cached devices,
diff --git a/system/bcache-tools/bcache-tools.SlackBuild b/system/bcache-tools/bcache-tools.SlackBuild
index 1a90a16932..23d1837843 100644
--- a/system/bcache-tools/bcache-tools.SlackBuild
+++ b/system/bcache-tools/bcache-tools.SlackBuild
@@ -1,5 +1,5 @@
-#!/bin/sh
-# Copyright 2014 Nikos Giotis <nikos.giotis@gmail.com>
+#!/bin/bash
+# Copyright 2014-2022 Nikos Giotis <nikos.giotis@gmail.com>, Athens, Greece
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -19,35 +19,55 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20221201 ng:
+# - move some files back in /lib/udev, there other udev related executables
+# in /lib/udev directory also. This way they are available and included
+# to the initrd.gz created by mkinitrd for early boot device discovery.
+# - move bcache-super-show to /lib/udev also for initrd inclusion.
+# - strip binaries the standard slackbuilds.org way
+# - update the package version and get the sources from kernel.org
+# 20220404 bkw: Modified by SlackBuilds.org, BUILD=3:
+# - i486 => i586.
+# - move probe-bcache and bcache-register binaries to /usr/sbin.
+# - strip binaries.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=bcache-tools
-VERSION=${VERSION:-1.0.8}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-20221201_2499ff2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+SRCVER=2499ff2dd78f236c7809016be5dfff836454396b
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
*) export ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686 -fgnu89-inline"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686 -fgnu89-inline"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -fPIC -fgnu89-inline"
LIBDIRSUFFIX="64"
else
- SLKCFLAGS="-O2"
+ SLKCFLAGS="-O2 -fgnu89-inline"
LIBDIRSUFFIX=""
fi
@@ -57,8 +77,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
-cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
+cd $PRGNAM-$SRCVER
# Patches for slackware compatibility
# Disable initramfs, initcpio and dracut installations from 'make install' step
@@ -70,14 +90,13 @@ zcat $CWD/udev-rules-no-run-builtin.patch.gz | patch -p0 --verbose
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
# Build
-cd $TMP/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$SRCVER
-CC="gcc -fgnu89-inline" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
make
@@ -88,20 +107,43 @@ mkdir -p $PKG/lib/udev/rules.d
mkdir -p $PKG/usr/share/man/man8
make install DESTDIR=$PKG
-# Man pages
+# Move bcache-super-show in /lib/udev as it is needed by bcache-export-cached
+mv $PKG/usr/sbin/bcache-super-show $PKG/lib/udev
+
+# Move /usr/sbin/* to /sbin
+mkdir -p $PKG/sbin
+mv $PKG/usr/sbin/* $PKG/sbin
+rmdir $PKG/usr/sbin
+
+# Link bcache-super-show back to /sbin
+pushd $PKG/sbin
+ln -s /lib/udev/bcache-super-show bcache-super-show
+popd
+
+sed -i "s,bcache-super-show,/lib/udev/bcache-super-show," $PKG/lib/udev/bcache-export-cached
+
+# Use absolute paths in udev rules
+for i in probe-bcache bcache-register bcache-export-cached; do
+ sed -i "s,$i,/lib/udev/$i," $PKG/lib/udev/rules.d/*.rules
+done
+
+# Man pages in wrong place, move and gzip.
mv $PKG/usr/share/man $PKG/usr/
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-rm -rf $PKG/usr/share
+gzip -9 $PKG/usr/man/man*/*
+rmdir $PKG/usr/share
+
+# strip executables
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Documentation
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-cat $TMP/$PRGNAM-$VERSION/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
-cat $TMP/$PRGNAM-$VERSION/COPYING > $PKG/usr/doc/$PRGNAM-$VERSION/COPYING
+cat $TMP/$PRGNAM-$SRCVER/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $TMP/$PRGNAM-$SRCVER/COPYING > $PKG/usr/doc/$PRGNAM-$VERSION/COPYING
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/bcache-tools/bcache-tools.info b/system/bcache-tools/bcache-tools.info
index e370867f29..c2b626b897 100644
--- a/system/bcache-tools/bcache-tools.info
+++ b/system/bcache-tools/bcache-tools.info
@@ -1,8 +1,8 @@
PRGNAM="bcache-tools"
-VERSION="1.0.8"
-HOMEPAGE="https://github.com/g2p/bcache-tools"
-DOWNLOAD="https://github.com/g2p/bcache-tools/archive/v1.0.8.tar.gz"
-MD5SUM="d1632a7c37214e0aa38f3cf95624fa46"
+VERSION="20221201_2499ff2"
+HOMEPAGE="https://bcache.evilpiepirate.org/"
+DOWNLOAD="https://git.kernel.org/pub/scm/linux/kernel/git/colyli/bcache-tools.git/snapshot/bcache-tools-2499ff2dd78f236c7809016be5dfff836454396b.tar.gz"
+MD5SUM="7479efa6b5f028075f67321361ded039"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""